/* This code was written by:
Keir Lauritzen, Leon Song, and Guy Yardeni */

#include "wrapper.h"
#include <stdio.h>



int main(int argc, char** argv) {
	void *map;
	map = create();

	char *key = "testaaaaa";
	float value = 0.421;
	array_add_float(map, key, value);
	float test = array_retrieve_float(map, key);
	printf("test float : %f\n", test);

	char *key1 = "test1";
	float value1 = 0.23125123421;
	array_add_float(map, key1, value1);

	char *key2 = "test2";
	float value2 = 6341.421;
	array_add_float(map, key2, value2);

	char *key3 = "testaaaaa";
	float value3 = 0.421;
	array_add_float(map, key3, value3);

	char *key4 = "testaaaaa";
	float value4 = 9.99999;
	array_add_float(map, key4, value4);

	char *key5 = "testkeir";
	char *value5 = "testing1";
	array_add_string(map, key5, value5);

	char *key6 = "testkeir";
	char *value6 = "testing2";
	array_add_string(map, key6, value6);

	char *key7 = "testkeir";
	char *value7 = "testing3";
	array_add_string(map, key7, value7);

	char *key8 = "t";
	char *value8 = "testing4";
	array_add_string(map, key8, value8);

	destroy(map);
	return 0;
}